## installation-guide 20100518ubuntu1

=== debian/changelog ===
installation-guide (20100518ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Build only Ubuntu architectures (amd64, armel, i386, ia64, powerpc,
      sparc).
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Direct installation reports to ubuntu-users for now.
    - Adjust various memory and disk space requirements. Talk about the
      default Ubuntu desktop and Ubuntu tasks rather than Debian tasks.
    - Document mounting /sys in various places.
    - Unset supports-floppy-boot for all our architectures.
    - Add a few more supports-floppy-boot and bootable-usb conditionals.
    - Document our root password and sudo arrangements.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Document Kickstart installations (currently only the basics, a
      reference to Red Hat's documentation, and the differences from
      Anaconda).
    - Update keyboard preseeding documentation for console-setup.
    - Update chroot-install guide for console-setup and language packs; add
      a bit more advice about installing grub.
    - Disable documentation of win32-loader.
    - Document new simplified partman preseeding.
    - Document mirror/udeb/components.
    - Document apt-setup/security_path.
    - Don't recommend passing http://archive.ubuntu.com/ubuntu to
      debootstrap.
    - Document pkgsel/update-policy.
    - Document preseeding user-setup's home directory encryption facility.
    - Improve examples of tasksel/first preseeding to avoid mentioning
      standard, which is installed by default.
    - Document partman-auto-lvm/guided_size.
    - Document scheme for preseeding the use of CC.archive.ubuntu.com
      mirrors.
    - Document pkgsel/updatedb.
    - Document partman/default_filesystem.
    - Document how to override the weak password check.
    - Remove comments about automatic installation methods that have been
      removed from Ubuntu.
    - Remove documentation of
      base-installer/kernel/linux/initramfs-generators; setting this to
      anything other than the default will cause the installer to fail.
  * Adjust list of armel architectures for Ubuntu.
  * Bump kernelversion to 2.6.35.
  * Bump release version and names for Maverick.
  * Update Canonical's copyright years.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Jun 2010 10:28:30 +0100

installation-guide (20100518) unstable; urgency=low

  [ Colin Watson ]
  * Note that partman-auto/init_automatically_partition is only honoured if
    partman-auto/method is not set.
  * Document the use of grub-installer/grub2_instead_of_grub_legacy to
    switch back to GRUB Legacy for those who need it.
  * Remove spurious quoting in network-console documentation, pointed out by
    Jonathan Amery.
  * partman now asks a slightly different (and less scary) confirmation
    question if it doesn't appear that any data is being overwritten.
    Document the associated preseeding changes.

  [ Frans Pop ]
  * Add missing hyphen in command "kbd-config". With thanks to Tapio Lehtonen.
    Closes: #545584.
  * Include a caution in the IA64 version of the manual against using IA64
    for "normal" 64-bit Intel systems.
  * Disable the variant for the alpha architecture: it is being dropped as a
    release architecture for Squeeze.
  * When updating PO files, set them to a standard width of 79 (same as used
    for l10n-sync for D-I master PO files).
  * Document that Debian now installs Recommends by default and how to disable
    that.
  * x86 USB boot: two improvements suggested by Timo Juhani Lindfors and one
    by Samuel Thibault. Closes: #532437, #532440, #548534.
  * welcome: add a link to www.kernel.org and remove the no longer valid link
    to www.kerneltraffic.org. Closes: #331523.
  * Document new help functionality.
  * Update for changes in locale selection in localechooser 2.17 and 2.18:
    - selecting a different country is now always possible at high priority;
    - change in order of selection of additional locales and default locale;
    - selection of a preferred locale if a combination of language and country
      was selected for which no locale exists;
    - support for separate preseeding of language, country and locale.
  * Mention option to select UTC as time zone at medium/low priority.

  [ Martin Michlmayr ]
  * Mention more Kirkwood-based devices that are supported.
  * Document where to get Kirkwood installer images from.
  * Fix the preseeding example to say that allow_unauthenticated is a
    boolean (and not a string).

  [ Joey Hess ]
  * Reword section on installer's support of wireless.

  [ Steve Langasek ]
  * Update the appendix on chroot installs to not recommend mapping 127.0.0.1
    to the hostname; use 127.0.1.1, the same as the installer itself does.

  [ Frans Pop ]
  * Update and extend information on preseeding partman. Based on a patch from
    Vincent McIntyre. Closes: #511053.
  * Use 'ip addr' instead of 'ifconfig' to get MAC address for RARP setup.
  * Update information on setting up a TFTP server.
  * As of Lenny syslinux no longer requires that the TFTP server supports the
    'tsize' option (see #570273). With thanks to Ferenc Wagner.
  * Using D-I: add subsection intruducing supported partitioning options,
    including a list of supported file systems.
  * Disabling framebuffer on x86 now also requires passing 'vga=normal'. With
    thanks to Samuel Thibault. Closes: #577461.
  * Update for switch of G-I from DirectFB to X.Org.


=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/installation-guide/ubuntu
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, ghostscript
# This comment can also be used to generate a Build-Depends-Indep line, by
# running the debian/genbuilddeps program. So put each build dep on its own
# line, prefixed by " - " and to comment out a build dep, start the line
# with two hashes. And don't edit the Build-Depends-Indep line above by hand.
#
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to	build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade | openjade1.3
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- ghostscript
#		For pdfs.

Package: installation-guide-amd64
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide for amd64
 This package contains the Ubuntu installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armel
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide for armel
 This package contains the Ubuntu installation guide for the ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide for i386
 This package contains the Ubuntu installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ia64
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide for ia64
 This package contains the Ubuntu installation guide for the IA-64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide for powerpc
 This package contains the Ubuntu installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-sparc
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide for sparc
 This package contains the Ubuntu installation guide for the Sparc
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

## installation-guide 20100518ubuntu4

=== debian/changelog ===
installation-guide (20100518ubuntu4) natty; urgency=low

  * Update URL to Red Hat Kickstart documentation.
  * Update url-us-keymap (thanks, Manfred Hampl; LP: #741134).
  * Document that i586 processors and i686 without cmov are no longer
    supported (LP: #688195).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2011 17:30:04 +0100

installation-guide (20100518ubuntu3) natty; urgency=low

  * Apply Ubuntu branding to i386 "CPU, Main Boards, and Video Support"
    section; there's one remaining instance of "Debian", but it makes sense
    in context (LP: #689153).
  * Apply Ubuntu branding to "Braille Displays", "Hardware Speech
    Synthesis", and powerpc "CPU, Main Boards, and Video Support" sections
    (thanks, Mahyuddin Susanto; LP: #689157).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jan 2011 17:48:51 +0000

installation-guide (20100518ubuntu2) natty; urgency=low

  * Bump kernelversion to 2.6.37.
  * Bump GNOME version to 2.32.
  * Bump release version and names for Natty.
  * Disable building for ia64 and sparc (LP: #669669).
  * Fix formatting error in supported architectures table (LP: #666393).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Nov 2010 16:45:27 +0000

## installation-guide 20100518ubuntu5

=== debian/changelog ===
installation-guide (20100518ubuntu5) oneiric; urgency=low

  * Bump kernelversion to 3.0.
  * Remove some 2.6 kernel specifics.
  * Bump GNOME version to 3.0.
  * Bump release version and names for Oneiric.
  * Replace 'netcfg/disable_dhcp' with 'netcfg/disable_autoconfig'
    throughout.  (We could probably do with some description of the new IPv6
    behaviour as well, but this is better than nothing.)
  * Replace 'console-setup/modelcode', 'console-setup/layoutcode', and
    'console-setup/variantcode' with 'keyboard-configuration/modelcode',
    'keyboard-configuration/layoutcode', and
    'keyboard-configuration/variantcode' respectively (LP: #800822).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Sep 2011 16:06:37 +0100

## installation-guide 20100518ubuntu6

=== debian/changelog ===
installation-guide (20100518ubuntu6) precise; urgency=low

  * Bump kernelversion to 3.2.
  * Bump GNOME version to 3.4.
  * Bump release version and names for Precise.
  * Add an example Kickstart configuration file, thanks to Ameet Paranjape
    (LP: #969568).
  * Expand &archive-mirror; to archive.ubuntu.com when generating example
    preseed file (LP: #955607).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Apr 2012 09:40:37 +0100

=== debian/control ===
--- 
+++ 
@@ -60,15 +60,6 @@
  .
  A shorter reference, the installation HOWTO, is included in an appendix.
 
-Package: installation-guide-ia64
-Architecture: all
-Conflicts: installation-guide
-Description: Ubuntu installation guide for ia64
- This package contains the Ubuntu installation guide for the IA-64
- architecture, in a variety of languages.
- .
- A shorter reference, the installation HOWTO, is included in an appendix.
-
 Package: installation-guide-powerpc
 Architecture: all
 Conflicts: installation-guide
@@ -77,12 +68,3 @@
  architecture, in a variety of languages.
  .
  A shorter reference, the installation HOWTO, is included in an appendix.
-
-Package: installation-guide-sparc
-Architecture: all
-Conflicts: installation-guide
-Description: Ubuntu installation guide for sparc
- This package contains the Ubuntu installation guide for the Sparc
- architecture, in a variety of languages.
- .
- A shorter reference, the installation HOWTO, is included in an appendix.

## installation-guide 20100518ubuntu8

=== debian/changelog ===
installation-guide (20100518ubuntu8) quantal; urgency=low

  * Document network-console/authorized_keys_url feature (LP: #1042480)

 -- dann frazier <dann.frazier@canonical.com>  Mon, 17 Sep 2012 11:11:49 +0100

installation-guide (20100518ubuntu7) quantal; urgency=low

  * Drop build-dependency on poxml for now, since we don't ship any
    translations (LP: #1031478).
  * Bump kernelversion to 3.5.
  * Bump GNOME version to 3.6.
  * Bump release version and names for Quantal.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Aug 2012 15:00:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/installation-guide/ubuntu
 Build-Depends: debhelper (>= 6)
-Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, ghostscript
+Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, jadetex, openjade | openjade1.3, docbook-dsssl, ghostscript
 # This comment can also be used to generate a Build-Depends-Indep line, by
 # running the debian/genbuilddeps program. So put each build dep on its own
 # line, prefixed by " - " and to comment out a build dep, start the line
@@ -24,8 +24,8 @@
 #		Used as part of the manual build process.
 #	- w3m
 #		Used to generate plain text manual from html.
-#	- poxml
-#		Translations of the manual are done in po files via poxml.
+##	- poxml
+##		Translations of the manual are done in po files via poxml.
 #	- jadetex
 #	- openjade | openjade1.3
 #	- docbook-dsssl

## installation-guide 20100518ubuntu9

=== debian/changelog ===
installation-guide (20100518ubuntu9) raring; urgency=low

  * Bump kernelversion
  * Bump release version and names for Raring. (LP: #1169800)
  * Use entity subsitution in an xml file.

 -- doug smythies <dsmythies@telus.net>  Tue, 16 Apr 2013 21:08:00 -0700

## installation-guide 20100518ubuntu10

=== debian/changelog ===
installation-guide (20100518ubuntu10) saucy; urgency=low

  * Bump versions and names for Saucy, including kernel and GNOME.
  * Rename armel manual to armhf, and s/armel/armhf/ throughout.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 04 Aug 2013 02:13:22 +0100

=== debian/control ===
--- 
+++ 
@@ -42,10 +42,10 @@
  .
  A shorter reference, the installation HOWTO, is included in an appendix.
 
-Package: installation-guide-armel
+Package: installation-guide-armhf
 Architecture: all
 Conflicts: installation-guide
-Description: Ubuntu installation guide for armel
+Description: Ubuntu installation guide for armhf
  This package contains the Ubuntu installation guide for the ARM
  architecture, in a variety of languages.
  .

=== debian/rules ===
#!/usr/bin/make -f

ARCHS=$(shell cd debian; ./getfromlist archlist)
LANGS=$(shell cd debian; ./getfromlist langlist)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
#SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
SUITE=lenny

MANTMP=$(shell pwd)/debian/manual

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	rm -rf $(MANTMP)
	dh_clean doc-base-stamp
	rm -rf debian/installation-guide-*.doc-base.*
	rm -rf build/build.out build/build.tmp build/build.po

doc-base: doc-base-stamp
doc-base-stamp:
	@echo $(ARCHS)
	rm -f $@
	rm -rf debian/installation-guide-*.doc-base.*
	set -e; cd debian && \
	    for arch in $(ARCHS); do \
		for lang in $(LANGS); do \
		    arch_full="$$(grep "^$$arch[[:space:]]" archlist | cut -f 2)"; \
		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)"; \
		    lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")"; \
		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
			-e "s:%LANG_ID%:$$lang_id:g" \
			TEMPLATE.doc-base >installation-guide-$$arch.doc-base.$$lang; \
		    if [ ! -e manual/$$arch/$$lang/install.$$lang.pdf ]; then \
			    sed -i "/Format: pdf/,/^$$/d" installation-guide-$$arch.doc-base.$$lang; \
		    fi; \
		done; \
	    done
	touch $@

build: build-stamp
build-stamp:
	rm -f $@
	-rm -rf $(MANTMP)
	set -e && cd build && \
	    for arch in $(ARCHS) ; do \
		official_build=1 manual_release=$(SUITE) \
		architectures="$$arch" languages="$(LANGS)" \
		destination=$(MANTMP)/$$arch noarchdir=1 \
		./build.sh ; \
	    done
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	
binary-arch:

binary-indep: install doc-base
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	for arch in $(ARCHS) ; do \
		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
	done
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

	# Create a tarball for each arch for use in debian-cd
	# Note: these should be uploaded manually
	#set -e && cd $(MANTMP) && \
	#    for arch in $(ARCHS) ; do \
	#	tarname=di-manual-$${arch}_$(VERSION).tar.gz ; \
	#	cd $$arch ; \
	#	tar czf ../../../../$$tarname . ; \
	#	cd .. ; \
	#    done

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## installation-guide 20100518ubuntu10.14.04.1

=== debian/changelog ===
installation-guide (20100518ubuntu10.14.04.1) trusty-proposed; urgency=medium

  * Update release version and name for Trusty. (LP: #1419955)
  * Add note and example for 'd-i live-installer/net-image', which is now
    required to let the installer know where the preinstalled squashfs can
    be reached. (LP: #1368700)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 16 Feb 2015 15:07:35 -0500

## installation-guide 20100518ubuntu10.14.10.1

=== debian/changelog ===
installation-guide (20100518ubuntu10.14.10.1) utopic-proposed; urgency=medium

  * Update release name and version for Utopic. (LP: #1419955)
  * Add note and example for 'd-i live-installer/net-image', which is now
    required to let the installer know where the preinstalled squashfs can
    be reached. (LP: #1368700) 

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 16 Feb 2015 15:19:52 -0500

## installation-guide 20100518ubuntu12

=== debian/changelog ===
installation-guide (20100518ubuntu12) vivid; urgency=medium

  * Cherry-picked changes:
    - Update documentation for changes to the multi partitioning scheme: /usr
      is no longer made onto its own separate partition, but rather included
      with /.
    - Replace -- with --- in details about how to pass parameters to the kernel
      that need to be passed on to the installed system. (LP: #1427252)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sat, 28 Feb 2015 10:27:06 -0500

installation-guide (20100518ubuntu11) vivid; urgency=low

  [ Doug Smythies ]
  * Bump versions and names for Trusty, including kernel and GNOME.
  * Include Changes as per MP 190783, as I got it to build.
  * Bump kernel version for Utopic.

  [ Iain Lane ]
  * Bump names for Utopic, including GNOME but not kernel

  [ Colin Watson ]
  * Stop describing Kickstart support as "preliminary".

  [ Mathieu Trudel-Lapierre ]
  * Add documentation for the live-installer/net-image preseed. (LP: #1368700)
  * Bump versions and names for Vivid, including kernel, but not GNOME: not
    all apps are 3.14 yet, so it seems better to keep it to the lowest version
    until most packages are 3.14.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 28 Jan 2015 16:12:19 -0500

## installation-guide 20110122~squeeze1

=== debian/changelog ===
installation-guide (20110122~squeeze1) stable; urgency=low

  * Upload to Squeeze.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Feb 2011 01:19:28 +0100

installation-guide (20110122) unstable; urgency=low

  [ Frans Pop ]
  * List myself as one of the main authors in the administrativa appendix.
  * Clarify IP addresses in example for booting SS4000-E (arm). Thanks to
    Miroslav Kure for the patch.
  * Add link to boot screen section in accessibility section. Closes: #579954.

  [ Martin Michlmayr ]
  * Update links for ARM images.

  [ Samuel Thibault ]
  * Update brltty version.
  * Document booting from DOS (Closes: Bug#518808).
  * Add non-Linux infrastructure to the build system.
  * Add kFreeBSD infrastructure.
  * Replace Linuxish bits with per-port entities.
  * Rephrase Hurd-specific paragraph explaining that Debian GNU/Hurd is not
    Linux.
  * Add a "What is Debian GNU/kFreeBSD" section.
  * Add the list of architectures supported by the kFreeBSD port.
  * Restrict "Board Devices" accessibility section to Linux.
  * Fix port URL for non-Linux ports.
  * Fix "hardware" part for non-Linux ports. Now needs fine-tune from BSD
    people.
  * Fix "boot-installer" part for non-Linux ports. Still needs extensive
    review from BSD people.
  * Fix "preparing", "using-d-i", "boot-new", "post-install", "howto",
    "preseed", "partitioning", and "random-bits" parts for non-Linux ports.
  * Factorize os-specific parameters in build/arch-options.
  * Rename debian entity to debian-gnu. Introduce new debian entity which just
    stands for "Debian".
  * Rename Mandrake into Mandriva (Closes: Bug#601308).
  * Update installation sizes for amd64 instead of i386.
  * Mention Windows 2003, Vista, and 7.
  * Fix graphical boot options.
  * Move user setup to before clock setup in "Using the Debian Installer" and
    "Automating the installation using preseeding".
  * Document dpkg-reconfigure keyboard-configuration instead of kbd-config.
  * Add installation-guide-kfreebsd-{i386,amd64} packages.
  * Reference Debian Installer modules documentation from the preseed section
    (Closes: Bug#603159).
  * Move boot parameters subsections from inside the debian installer parameters
    section, to which they don't really belong.
  * Make subsection Installation Over the Network a direct child of Using
    Individual Components instead of hiding it in "Miscellaneous".
  * Rename 6.3.8 "Miscellaneous" into "Troubleshooting".
  * Fix default tftp directory from /var/lib/tftpboot to /srv/tftp, thanks
    Charles Plessy (Closes: Bug#606725).
  * Enable Spanish and Swedish translations (almost up-to-date).
  * Reword i386 and amd64 arch names to be consistent with the corresponding
    release-notes change: Intel x86 → 32-bit PC, AMD64 → 64-bit PC.
  * Add keyboard-configuration/xkb-keymap preseed variable.
    (Closes: Bug#599772)

  [ Joey Hess ]
  * Update USB stick documentation to reflect isohybird mini.iso files,
    as generated by debian-installer >= 20100913.

  [ Christian Perrier ]
  * Remove obsolete reference to the replicator package
    Closes: #597983

  [ Maximilian Attems ]
  * Remove obsolete reference to kernel-img.conf

  [ Colin Watson ]
  * Fix "/etc/init.d/dhcpd3-server" typo (should be
    /etc/init.d/dhcp3-server), and unfuzzy all translations (LP: #666726).

  [ Joey Hess ]
  * Updated USB stick documentation to describe the much simpler, more
    flexible, and likely more robust use of isohybrid images. All i386
    and amd64 ISO images are now isohybrid.
  * Remove documentation of no longer supported
    grub-installer/grub2_instead_of_grub_legacy preseed. Closes: #610739

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Jan 2011 13:16:49 +0100

=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, ghostscript, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-finnish, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, texlive-lang-swedish, texlive-lang-vietnamese, ko.tex-base, cm-super
# This comment can also be used to generate a Build-Depends-Indep line, by
# running the debian/genbuilddeps program. So put each build dep on its own
# line, prefixed by " - " and to comment out a build dep, start the line
# with two hashes. And don't edit the Build-Depends-Indep line above by hand.
#
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to	build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade | openjade1.3
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- ghostscript
#		For pdfs.
#	- texlive-lang-cyrillic
#	- texlive-lang-czechslovak
##	- texlive-lang-danish
##	- texlive-lang-dutch
#	- texlive-lang-finnish
#	- texlive-lang-french
#	- texlive-lang-german
#	- texlive-lang-greek
#	- texlive-lang-italian
#	- texlive-lang-other
#		Contains hyphenation for Romanian.
#	- texlive-lang-portuguese
#	- texlive-lang-spanish
#	- texlive-lang-swedish
#	- texlive-lang-vietnamese
#		All texlive-lang-* packages provide hyphenation and other
#		language-specific support.
#	- ko.tex-base
#		Font for Korean pdf.
#	- cm-super
#		Font for Russian pdf.

Package: installation-guide-amd64
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for amd64
 This package contains the Debian installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armel
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for armel
 This package contains the Debian installation guide for the ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-hppa
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for hppa
 This package contains the Debian installation guide for the PA-RISC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for i386
 This package contains the Debian installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ia64
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for ia64
 This package contains the Debian installation guide for the IA-64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-kfreebsd-amd64
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for kFreeBSD amd64
 This package contains the Debian installation guide for the kFreeBSD kernel
 running on the AMD64 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-kfreebsd-i386
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for kFreeBSD i386
 This package contains the Debian installation guide for the kFreeBSD kernel
 running on the Intel x86 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mips
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for mips
 This package contains the Debian installation guide for the Mips
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mipsel
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for mipsel
 This package contains the Debian installation guide for the Mipsel
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for powerpc
 This package contains the Debian installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-s390
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for s390
 This package contains the Debian installation guide for the S/390
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-sparc
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide for sparc
 This package contains the Debian installation guide for the Sparc
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 LANGS=$(shell cd debian; ./getfromlist langlist)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-#SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+ifeq (${SUITE},unstable)
 SUITE=lenny
+endif
 
 MANTMP=$(shell pwd)/debian/manual
 
@@ -57,23 +59,23 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs -i
+	dh_installdirs
 	
 binary-arch:
 
 binary-indep: install doc-base
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -i
+	dh_installchangelogs
 	for arch in $(ARCHS) ; do \
 		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
 	done
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 	# Create a tarball for each arch for use in debian-cd
 	# Note: these should be uploaded manually

## installation-guide 20130503

=== build/Makefile ===
TARGETS=$(foreach language,$(languages),$(addprefix $(language).,$(architectures)))

.PHONY: $(TARGETS)

all: $(TARGETS)

$(TARGETS): %:
	target=$@ ; \
	lang=$${target%.*} ; \
	lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")" ; \
	arch=$${target#*.} ; \
	echo "Architecture: $$arch" ; \
	if [ -n "$$noarchdir" ]; then \
		destsuffix="$$lang" ; \
	else \
		if [ -n "$$web" ] ; then \
			destsuffix="$$arch" ; \
		else \
			destsuffix="$$lang.$$arch" ; \
		fi ; \
	fi ; \
	export destdir=build.out.$$lang.$$arch ; \
	export tempdir=build.tmp.$$lang.$$arch ; \
	./buildone.sh "$$arch" "$$lang" "$$formats" ; \
	mkdir -p "$$destination/$$destsuffix" ; \
	for format in $$formats; do \
		if [ "$$format" = html ]; then \
			mv ./$$destdir/html/* "$$destination/$$destsuffix" ; \
		else \
			# Do not fail because of missing PDF support for some languages \
			if [ -n "$$web" ] ; then \
				mv ./$$destdir/install.$$lang.$$format "$$destination/$$destsuffix/install.$$format.$$lang_id" 2>/dev/null || true ; \
			else \
				mv ./$$destdir/install.$$lang.$$format "$$destination/$$destsuffix" 2>/dev/null || true ; \
			fi ; \
		fi ; \
	done ; \
	./clear.sh

=== debian/changelog ===
installation-guide (20130503) unstable; urgency=low

  [ Vincent McIntyre ]
  * Clearly distinguish between auto boot label and auto=true kernel
    parameter.

  [ Samuel Thibault ]
  * Add some details about serial console boot parameter.
  * Rework the auto wording.
  * Default fs is ext4, not ext3. Thanks Regid Ichira for the report.
  * Apply killall.sh -> kill-all-dhcp renaming, thanks Yoshito Komatsu for the
    report. Closes: #705819.
  * Switch from dhcp3-server to isc-dhcp-server, thanks Salvatore Bonaccorso
    for the report.Closes: #706103.
  * Stop advising to use init 1 to restart servers. Thanks Regid Ichira for
    the report.
  * Make it clear that dark theme is about colors.

  [ Jakub Wilk ]
  * Fix some typos. Closes: #705311.

  [ Milan Kupcevic ]
  * How to boot YDL Powerstation from factory default CD/DVD drive.
  * Update list of supported PowerPC machines.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 May 2013 23:22:25 +0200

installation-guide (20130408) unstable; urgency=low

  [ Samuel Thibault ]
  * Document IPv6 preseeding. Thanks Vincent McIntyre for the suggestion.
  * Rename disable_dhcp into disable_autoconfig, the former is now deprecated.
  * Document that IPv6 autoconfiguration is disabled along DHCP.
  * Disable outdated Catalan and Finnish translations.
  * Update installation sizes.
  * Document that the mirror host name actually has to be a URL base for now.
  * Suffix web documents with http lang ids rather than locale lang ids, for
    working content-language negociation.
  * Fix space typo reported by Enrico Zini.
  * Fix spurious syncs reported by Enrico Zini.
  * Fix Linux kernel package version, reported by Enrico Zini.
  * /etc/adjtime is not automatically built by debootstrap any more, document
    how to create it.

  [ Milan Kupcevic ]
  * Debian-installer partition table editing tool not compatible with 
    MacOS 9. Closes: #604134.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 08 Apr 2013 00:25:20 +0200

installation-guide (20130208) unstable; urgency=low

  [ Brian Potkin ]
  * Remove references to businesscard images, which are no more.
  * Document how to get back from help to menu.
  * Improve documentation about kernel modules needing firmwares, including
    how to look for “firmware” in dmesg's output. Closes: #695403.
  * Improve documentation about user accounts: move it to the right place
    and explain how setting an empty root password leads to sudo being
    installed. Closes: #692314.
  * Explain how to include firmware or packages on a USB stick built by hand.
  * Explain one can use a USB stick while having booted another
    way. Closes: #692309.

  [ Salvatore Bonaccorso ]
  * Fix typo in network configuration preseed example snipped
    Closes: #691164

  [ Samuel Thibault ]
  * Update lowmem, disk usage, package numbers, lists number values.
  * Fix po detection.
  * Fix bogus URLs, thanks Brian Potkin for the hint. Closes: #692310.
  * Document speakup shortcuts for speed and volume.
  * Add wiki URL for installed system accessibility.
  * Provide more details on software speech synthesis support.

  [ Holger Wansing ]
  * Fix location of UTC vs local timezone configuration. Closes: #699297.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Feb 2013 19:02:17 +0100

installation-guide (20121010) unstable; urgency=low

  * Replace \n with spaces from getfromlist output in buildweb.sh.
    Closes: #690065.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Oct 2012 00:51:53 +0200

installation-guide (20121008) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules: Fix suite name.
  * preseed: Add authorized_keys url preseed example, thanks Charles Plessy
    for the patch. Closes: #684629.
  * official-cdrom: Add link to CD FAQ. Thanks Holger Wansing and Richard
    Owlett for the heads-up. Closes: #280348, #309568.
  * Add language-parallel build support.
  * Update figures.
  * Remove outdated keyboard configuration bits.
  * Update preseed aliases.
  * Document that only basic keymap variants are available for preseeding.
    Closes: #682857.
  * Advise virtualization+serial users into using screen to fix glitches.
    Closes: #689548.

  [ Simon Guinot ]
  * Document support for LaCie NASes. Closes: #686128

  [ Karsten Merker ]
  * Various small removals / updates / amendments in the chapters 2,3 and 5,
    most of them concerning outdated information.
  * Extended the "Devices Requiring Firmware" section.
  * Rewrote large parts of the "Avoid Proprietary or Closed Hardware"
    section.
  * Rewrote the "Hardware Compatibility" section.
  * Amended the "Network Settings" section.
  * Rewrote the "Pre-Partitioning for Multi-Boot Systems" section 
    to bring it up to date with the current d-i features and make it
    easier to read for beginners.
  * Rewrote the "Pre-Installation Hardware and Operating System Setup"
    section to bring it up to date for modern hardware.
  * Amended the "Official Debian GNU/Linux CD/DVD-ROM Sets" section
    (CD1 without network mirror too small for a full GNOME/KDE install).
  * Added a note that for some devices firmware may not be necessary,
    even though a firmware prompt is displayed.
    Closes: #687454 
  * Reworked the "Configuring the Network" section, added information
    regarding IPv6 support.
  * Added a "Choosing a network mirror" section, added information
    regarding IPv6 connectivity of debian mirrors and information about 
    ftp.ipv6.debian.org and http.debian.net.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 08 Oct 2012 22:38:08 +0200

installation-guide (20120826) unstable; urgency=low

  [ Samuel Thibault ]
  * Reference the French translation of the brltty manual in fr.
  * Disable G-I on kfreebsd-*.
  * Document booting d-i from grub2. Closes: #612165.
  * Mention preseeding as an alternative for accessibility.
  * Document that the text installer is selected by default.


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Frans Pop <fjp@debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>
 Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
+Vcs-Browser: http://anonscm.debian.org/viewvc/d-i/trunk/manual/
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, ghostscript, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-finnish, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, texlive-lang-swedish, texlive-lang-vietnamese, ko.tex-base, cm-super
 # This comment can also be used to generate a Build-Depends-Indep line, by
@@ -54,6 +55,7 @@
 
 Package: installation-guide-amd64
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for amd64
  This package contains the Debian installation guide for the AMD64
@@ -63,6 +65,7 @@
 
 Package: installation-guide-armel
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for armel
  This package contains the Debian installation guide for the ARM
@@ -70,17 +73,29 @@
  .
  A shorter reference, the installation HOWTO, is included in an appendix.
 
-Package: installation-guide-hppa
+Package: installation-guide-armhf
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
-Description: Debian installation guide for hppa
- This package contains the Debian installation guide for the PA-RISC
- architecture, in a variety of languages.
+Description: Debian installation guide for armhf
+ This package contains the Debian installation guide for the ARM
+ with Hardware FPU architecture, in a variety of languages.
  .
  A shorter reference, the installation HOWTO, is included in an appendix.
 
+#Package: installation-guide-hppa
+#Architecture: all
+#Depends: ${misc:Depends}
+#Conflicts: installation-guide
+#Description: Debian installation guide for hppa
+# This package contains the Debian installation guide for the PA-RISC
+# architecture, in a variety of languages.
+# .
+# A shorter reference, the installation HOWTO, is included in an appendix.
+
 Package: installation-guide-i386
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for i386
  This package contains the Debian installation guide for the Intel x86
@@ -90,6 +105,7 @@
 
 Package: installation-guide-ia64
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for ia64
  This package contains the Debian installation guide for the IA-64
@@ -99,6 +115,7 @@
 
 Package: installation-guide-kfreebsd-amd64
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for kFreeBSD amd64
  This package contains the Debian installation guide for the kFreeBSD kernel
@@ -108,6 +125,7 @@
 
 Package: installation-guide-kfreebsd-i386
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for kFreeBSD i386
  This package contains the Debian installation guide for the kFreeBSD kernel
@@ -117,6 +135,7 @@
 
 Package: installation-guide-mips
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for mips
  This package contains the Debian installation guide for the Mips
@@ -126,6 +145,7 @@
 
 Package: installation-guide-mipsel
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for mipsel
  This package contains the Debian installation guide for the Mipsel
@@ -135,6 +155,7 @@
 
 Package: installation-guide-powerpc
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for powerpc
  This package contains the Debian installation guide for the PowerPC
@@ -144,6 +165,7 @@
 
 Package: installation-guide-s390
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for s390
  This package contains the Debian installation guide for the S/390
@@ -151,8 +173,19 @@
  .
  A shorter reference, the installation HOWTO, is included in an appendix.
 
+Package: installation-guide-s390x
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: installation-guide
+Description: Debian installation guide for s390x
+ This package contains the Debian installation guide for the 64bit S/390
+ architecture, in a variety of languages.
+ .
+ A shorter reference, the installation HOWTO, is included in an appendix.
+
 Package: installation-guide-sparc
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for sparc
  This package contains the Debian installation guide for the Sparc

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,17 @@
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 ifeq (${SUITE},unstable)
-SUITE=lenny
+SUITE=wheezy
 endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
+ifneq (,$(DEB_PARALLEL_JOBS))
+PARALLEL=-j$(DEB_PARALLEL_JOBS)
+endif
+
 
 MANTMP=$(shell pwd)/debian/manual
 
@@ -18,7 +27,7 @@
 	rm -rf $(MANTMP)
 	dh_clean doc-base-stamp
 	rm -rf debian/installation-guide-*.doc-base.*
-	rm -rf build/build.out build/build.tmp build/build.po
+	rm -rf build/build.out* build/build.tmp* build/build.po
 
 doc-base: doc-base-stamp
 doc-base-stamp:
@@ -48,6 +57,7 @@
 	-rm -rf $(MANTMP)
 	set -e && cd build && \
 	    for arch in $(ARCHS) ; do \
+		MAKEFLAGS="$(PARALLEL)" \
 		official_build=1 manual_release=$(SUITE) \
 		architectures="$$arch" languages="$(LANGS)" \
 		destination=$(MANTMP)/$$arch noarchdir=1 \
